PyServlet (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.util
Class PyServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.python.util.PyServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class PyServlet
extends javax.servlet.http.HttpServlet

This servlet is used to re-serve JPython servlets. It stores bytecode for JPython servlets and re-uses it if the underlying .py file has not changed.

Many people have been involved with this class:

- Chris Gokey
- David Syer
- Finn Bock

If somebody is missing from this list, let us know.

e.g. http://localhost:8080/test/hello.py

     from javax.servlet.http import HttpServlet
     class hello(HttpServlet):
         def doGet(self, req, res):
             res.setContentType("text/html");
             out = res.getOutputStream()
             print >>out, ""
             print >>out, "Hello World, How are we?"
             print >>out, "Hello World, how are we?"
             print >>out, ""
             print >>out, ""
             out.close()
             return

in web.xml for the PyServlet context:

     <web-app>
         <servlet>
             <servlet-name>PyServlet</servlet-name>
             <servlet-class>org.python.util.PyServlet</servlet-class>
             <init-param>
                 <param-name>python.home</param-name>
                 <param-value>/usr/home/jython-2.1</param-value>
             </init-param>
         </servlet>
         <servlet-mapping>
             <servlet-name>PyServlet</servlet-name>
             <url-pattern>*.py</url-pattern>
         </servlet-mapping>
     </web-app>

See Also:
  Serialized Form

Constructor Summary
`PyServlet()`

Method Summary
`void` | `destroy()`
`void` | `init()`
`void` | `reset()`
`void` | `service(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)` Implementation of the HttpServlet main method.

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PyServlet

    public PyServlet()

Method Detail

### init

    public void init()

  Overrides:
    `init` in class `javax.servlet.GenericServlet`

### service

    public void service(javax.servlet.ServletRequest req,
                        javax.servlet.ServletResponse res)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Implementation of the HttpServlet main method.

  Specified by:
    `service` in interface `javax.servlet.Servlet`
  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `req` - the request parameter.
    `res` - the response parameter.
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### reset

    public void reset()

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage